/*
 *   Copyright 2014 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package net.brutex.xservices.cmtypes;

import java.net.URL;

import javax.xml.bind.annotation.XmlType;

@XmlType(name="Item")
public class ItemType {
    private String longFilename; 
    private String shortFilename; 
    private String dirName;
    private String createdDate; 
    private String createdUser;
    private String object_id;
    private String object_uid;
    private String object_spec_uid;
    private String object_spec;
    private String itemFormat;
    private String updatedDate;
    private String updatedUser;
    
    
    /*
    SystemAttributes.FULL_PATH_NAME,
	  SystemAttributes.ITEMFILE_DIR,
	  SystemAttributes.ITEMFILE_FILENAME,
	  SystemAttributes.ITEMFILE_DIR, 
	  SystemAttributes.OBJECT_SPEC,
	  SystemAttributes.OBJECT_ID,
	  SystemAttributes.OBJECT_SPEC_UID,
	  SystemAttributes.OBJECT_UID,
	  SystemAttributes.CREATION_DATE,
	  SystemAttributes.CREATION_USER,
	  SystemAttributes.ITEM_FORMAT,
	  SystemAttributes.LAST_UPDATED_DATE,
	  SystemAttributes.LAST_UPDATED_USER
	  
	  */
	  
    public String getDirName() {
		return dirName;
	}

	public void setDirName(String dirName) {
		this.dirName = dirName;
	}

	public String getCreatedUser() {
		return createdUser;
	}

	public void setCreatedUser(String createdUser) {
		this.createdUser = createdUser;
	}

	public String getItemFormat() {
		return itemFormat;
	}

	public void setItemFormat(String itemFormat) {
		this.itemFormat = itemFormat;
	}

	public String getUpdatedDate() {
		return updatedDate;
	}

	public void setUpdatedDate(String updatedDate) {
		this.updatedDate = updatedDate;
	}

	public String getUpdatedUser() {
		return updatedUser;
	}

	public void setUpdatedUser(String updatedUser) {
		this.updatedUser = updatedUser;
	}

	public String getObject_uid() {
		return object_uid;
	}

	public void setObject_uid(String object_uid) {
		this.object_uid = object_uid;
	}

	public String getObject_spec_uid() {
		return object_spec_uid;
	}

	public void setObject_spec_uid(String object_spec_uid) {
		this.object_spec_uid = object_spec_uid;
	}

	public String getObject_spec() {
		return object_spec;
	}

	public void setObject_spec(String object_spec) {
		this.object_spec = object_spec;
	}
	private URL url;
    
    public URL getUrl() {
		return url;
	}
    
    public void setUrl(URL url) {
		this.url = url;
	}
    
    public String getObject_id() {
		return object_id;
	}
    public void setObject_id(String object_id) {
		this.object_id = object_id;
	}
    
    public String getLongFilename() {
        return longFilename;
    }
    public void setLongFilename(String longFilename) {
        this.longFilename = longFilename;
    }
    public String getShortFilename() {
        return shortFilename;
    }
    public void setShortFilename(String shortFilename) {
        this.shortFilename = shortFilename;
    }

    public String getCreatedDate() {
        return createdDate;
    }
    public void setCreatedDate(String createdDate) {
        this.createdDate = createdDate;
    }

    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append(longFilename);
        sb.append(";");
        sb.append(" (");
        sb.append(shortFilename);
        sb.append("), related as ");
        sb.append(", created at ");
        sb.append(createdDate);
        return sb.toString();
    }
}
